You can create a Cascade sparkline using the CascadeSparkline function in a formula: =CASCADESPARKLINE(pointsRange, pointIndex, labelsRange?, minimum?, maximum?, colorPositive?, colorNegative?, vertical?, itemTypeRange?).
The function has the following parameters:
pointsRange: Reference that represents the range of cells that contain values, such as "B2:B8".
pointIndex: Number or reference that represents the index of the points. The pointIndex is >= 1 such as 1 or "D2".
labelsRange: (optional) Reference that represents the range of cells that contains the labels, such as "A2:A8"; default value is no label.
minimum: (optional) Number or reference that represents the minimum values of the display area, such as -2000; the default value is the minimum of the sum (the sum of the points' value).
maximum: (optional) Number or reference that represents the maximum values of the display area, such as 6000; the default value is the maximum of the sum (the sum of the points' value).
colorPositive: (optional) String that represents the color of the first or last positive sparkline's box (this point's value is positive); default value is "#8CBF64".
colorNegative: (optional) String that represents the color of the first or last negative sparkline's box (this point's value is negative); default value is "#D6604D".
vertical: (optional) Boolean that represents whether the box's direction is vertical or horizontal; default value is false.
itemTypeRange: (optional) Array or reference that represents the all item types of data range. The value should be {"-", "+", "="} or "A1:A7" that reference the value of {"+", "-", "="}. And "+" as positive change, "-" as negative change and "=" for total columns.
colorTotal: (optional) String that represents the color of the last sparkline's box when itemTypeRange did not exist. Or represents the color of the result sparkline's box when itemTypeRange exists..
var spreadNS = GC.Spread.Sheets;
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
spread.fromJSON(dataSource);
initSpread(spread);
};
function initSpread(spread) {
spread.options.newTabVisible = false;
spread.options.allowDynamicArray = true;
initCascadeSparklineWithType(spread.sheets[0]);
initHorizontalSparkline(spread.sheets[1]);
initVerticalSparkline(spread.sheets[2]);
}
function initCascadeSparklineWithType (sheet) {
sheet.suspendPaint();
sheet.setFormula(4, 4, '=CASCADESPARKLINE(D5:D20, SEQUENCE(COUNTA(D5:D20),1,1,1),P5:P20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 8, '=CASCADESPARKLINE(H5:H20, SEQUENCE(COUNTA(H5:H20),1,1,1),Q5:Q20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 15,'=TEXT(D5:D20,"#,##0,,")&" M"');
sheet.setFormula(4, 16,'=TEXT(H5:H20,"#,##0,,")&" M"');
//hide auxiliary columns
sheet.setColumnVisible(3, false);
sheet.setColumnVisible(7, false);
sheet.setColumnVisible(15, false);
sheet.setColumnVisible(16, false);
sheet.resumePaint();
}
function initHorizontalSparkline(sheet) {
sheet.suspendPaint();
//cascade sparkline located at column E
for (var i = 1; i <= 14; i++) {
sheet.setFormula(i, 4, '=CASCADESPARKLINE($C$2:$C$15,ROW()-1,$B$2:$B$15,,,"#8CBF64","#D6604D",false)');
}
sheet.resumePaint();
}
function initVerticalSparkline(sheet) {
sheet.suspendPaint();
//cascade sparkline located at 4th row
for (var c = 0; c < 5; c++) {
sheet.setColumnWidth(c, 100);
sheet.setFormula(3, c, '=CASCADESPARKLINE($A$3:$E$3,COLUMN(),$A$2:$E$2,,,"#8CBF64","#D6604D",true)');
}
sheet.resumePaint();
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/data/statement-for-cascade.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" style="width:100%;height:100%"></div>
</div></body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

You can create a Cascade sparkline using the CascadeSparkline function in a formula: =CASCADESPARKLINE(pointsRange, pointIndex, labelsRange?, minimum?, maximum?, colorPositive?, colorNegative?, vertical?, itemTypeRange?).
The function has the following parameters:
pointsRange: Reference that represents the range of cells that contain values, such as "B2:B8".
pointIndex: Number or reference that represents the index of the points. The pointIndex is >= 1 such as 1 or "D2".
labelsRange: (optional) Reference that represents the range of cells that contains the labels, such as "A2:A8"; default value is no label.
minimum: (optional) Number or reference that represents the minimum values of the display area, such as -2000; the default value is the minimum of the sum (the sum of the points' value).
maximum: (optional) Number or reference that represents the maximum values of the display area, such as 6000; the default value is the maximum of the sum (the sum of the points' value).
colorPositive: (optional) String that represents the color of the first or last positive sparkline's box (this point's value is positive); default value is "#8CBF64".
colorNegative: (optional) String that represents the color of the first or last negative sparkline's box (this point's value is negative); default value is "#D6604D".
vertical: (optional) Boolean that represents whether the box's direction is vertical or horizontal; default value is false.
itemTypeRange: (optional) Array or reference that represents the all item types of data range. The value should be {"-", "+", "="} or "A1:A7" that reference the value of {"+", "-", "="}. And "+" as positive change, "-" as negative change and "=" for total columns.
colorTotal: (optional) String that represents the color of the last sparkline's box when itemTypeRange did not exist. Or represents the color of the result sparkline's box when itemTypeRange exists..
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initCascadeSparklineWithType (sheet: GC.Spread.Sheets.Worksheet) {
sheet.suspendPaint();
this.spread.options.allowDynamicArray = true;
sheet.setFormula(4, 4, '=CASCADESPARKLINE(D5:D20, SEQUENCE(COUNTA(D5:D20),1,1,1),P5:P20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 8, '=CASCADESPARKLINE(H5:H20, SEQUENCE(COUNTA(H5:H20),1,1,1),Q5:Q20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 15,'=TEXT(D5:D20,"#,##0,,")&" M"');
sheet.setFormula(4, 16,'=TEXT(H5:H20,"#,##0,,")&" M"');
//hide auxiliary columns
sheet.setColumnVisible(3, false);
sheet.setColumnVisible(7, false);
sheet.setColumnVisible(15, false);
sheet.setColumnVisible(16, false);
sheet.resumePaint();
}
initHorizontalSparkline(sheet: GC.Spread.Sheets.Worksheet) {
sheet.suspendPaint();
//cascade sparkline located at column E
for (var i = 1; i <= 14; i++) {
sheet.setFormula(i, 4, '=CASCADESPARKLINE($C$2:$C$17,ROW()-1,$B$2:$B$17,,,"#8CBF64","#D6604D",false)');
}
sheet.resumePaint();
}
initVerticalSparkline(sheet: GC.Spread.Sheets.Worksheet) {
sheet.suspendPaint();
//cascade sparkline located at 4th row
for (var c = 0; c < 5; c++) {
sheet.setColumnWidth(c, 100);
sheet.setFormula(3, c, '=CASCADESPARKLINE($A$3:$E$3,COLUMN(),$A$2:$E$2,,,"#8CBF64","#D6604D",true)');
}
sheet.resumePaint();
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.fromJSON(dataSource);
this.initCascadeSparklineWithType(spread.sheets[0]);
this.initHorizontalSparkline(spread.sheets[1]);
this.initVerticalSparkline(spread.sheets[2]);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/statement-for-cascade.js" type="text/javascript"></script>
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)" [newTabVisible] = false>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

You can create a Cascade sparkline using the CascadeSparkline function in a formula: =CASCADESPARKLINE(pointsRange, pointIndex, labelsRange?, minimum?, maximum?, colorPositive?, colorNegative?, vertical?, itemTypeRange?).
The function has the following parameters:
pointsRange: Reference that represents the range of cells that contain values, such as "B2:B8".
pointIndex: Number or reference that represents the index of the points. The pointIndex is >= 1 such as 1 or "D2".
labelsRange: (optional) Reference that represents the range of cells that contains the labels, such as "A2:A8"; default value is no label.
minimum: (optional) Number or reference that represents the minimum values of the display area, such as -2000; the default value is the minimum of the sum (the sum of the points' value).
maximum: (optional) Number or reference that represents the maximum values of the display area, such as 6000; the default value is the maximum of the sum (the sum of the points' value).
colorPositive: (optional) String that represents the color of the first or last positive sparkline's box (this point's value is positive); default value is "#8CBF64".
colorNegative: (optional) String that represents the color of the first or last negative sparkline's box (this point's value is negative); default value is "#D6604D".
vertical: (optional) Boolean that represents whether the box's direction is vertical or horizontal; default value is false.
itemTypeRange: (optional) Array or reference that represents the all item types of data range. The value should be {"-", "+", "="} or "A1:A7" that reference the value of {"+", "-", "="}. And "+" as positive change, "-" as negative change and "=" for total columns.
colorTotal: (optional) String that represents the color of the last sparkline's box when itemTypeRange did not exist. Or represents the color of the result sparkline's box when itemTypeRange exists..
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread" :newTabVisible=false>
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
<gc-column :width=80></gc-column>
<gc-column :width=120></gc-column>
<gc-column :width=80></gc-column>
<gc-column :width=80></gc-column>
<gc-column :width=340></gc-column>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-vue'
const spreadRef = ref(null);
let initCascadeSparklineWithType = function (sheet) {
sheet.suspendPaint();
sheet.getParent().options.allowDynamicArray = true;
sheet.setFormula(4, 4, '=CASCADESPARKLINE(D5:D20, SEQUENCE(COUNTA(D5:D20),1,1,1),P5:P20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 8, '=CASCADESPARKLINE(H5:H20, SEQUENCE(COUNTA(H5:H20),1,1,1),Q5:Q20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 15, '=TEXT(D5:D20,"#,##0,,")&" M"');
sheet.setFormula(4, 16, '=TEXT(H5:H20,"#,##0,,")&" M"');
//hide auxiliary columns
sheet.setColumnVisible(3, false);
sheet.setColumnVisible(7, false);
sheet.setColumnVisible(15, false);
sheet.setColumnVisible(16, false);
sheet.resumePaint();
}
let initHorizontalSparkline = function (sheet) {
sheet.suspendPaint();
//cascade sparkline located at column E
for (var i = 1; i <= 14; i++) {
sheet.setFormula(i, 4, '=CASCADESPARKLINE($C$2:$C$17,ROW()-1,$B$2:$B$17,,,"#8CBF64","#D6604D",false)');
}
sheet.resumePaint();
}
let initVerticalSparkline = function (sheet) {
sheet.suspendPaint();
//cascade sparkline located at 4th row
for (var c = 0; c < 5; c++) {
sheet.setColumnWidth(c, 100);
sheet.setFormula(3, c, '=CASCADESPARKLINE($A$3:$E$3,COLUMN(),$A$2:$E$2,,,"#8CBF64","#D6604D",true)');
}
sheet.resumePaint();
}
let initSpread = function (spread) {
spreadRef.value = spread;
spread.fromJSON(dataSource);
initCascadeSparklineWithType(spread.sheets[0]);
initHorizontalSparkline(spread.sheets[1]);
initVerticalSparkline(spread.sheets[2]);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="$DEMOROOT$/spread/source/data/statement-for-cascade.js" type="text/javascript"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can create a Cascade sparkline using the CascadeSparkline function in a formula: =CASCADESPARKLINE(pointsRange, pointIndex, labelsRange?, minimum?, maximum?, colorPositive?, colorNegative?, vertical?, itemTypeRange?).
The function has the following parameters:
pointsRange: Reference that represents the range of cells that contain values, such as "B2:B8".
pointIndex: Number or reference that represents the index of the points. The pointIndex is >= 1 such as 1 or "D2".
labelsRange: (optional) Reference that represents the range of cells that contains the labels, such as "A2:A8"; default value is no label.
minimum: (optional) Number or reference that represents the minimum values of the display area, such as -2000; the default value is the minimum of the sum (the sum of the points' value).
maximum: (optional) Number or reference that represents the maximum values of the display area, such as 6000; the default value is the maximum of the sum (the sum of the points' value).
colorPositive: (optional) String that represents the color of the first or last positive sparkline's box (this point's value is positive); default value is "#8CBF64".
colorNegative: (optional) String that represents the color of the first or last negative sparkline's box (this point's value is negative); default value is "#D6604D".
vertical: (optional) Boolean that represents whether the box's direction is vertical or horizontal; default value is false.
itemTypeRange: (optional) Array or reference that represents the all item types of data range. The value should be {"-", "+", "="} or "A1:A7" that reference the value of {"+", "-", "="}. And "+" as positive change, "-" as negative change and "=" for total columns.
colorTotal: (optional) String that represents the color of the last sparkline's box when itemTypeRange did not exist. Or represents the color of the result sparkline's box when itemTypeRange exists..
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
export function AppFunc() {
let spread = null;
const initCascadeSparklineWithType = (sheet) => {
sheet.suspendPaint();
spread.options.allowDynamicArray = true;
sheet.setFormula(4, 4, '=CASCADESPARKLINE(D5:D20, SEQUENCE(COUNTA(D5:D20),1,1,1),P5:P20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 8, '=CASCADESPARKLINE(H5:H20, SEQUENCE(COUNTA(H5:H20),1,1,1),Q5:Q20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 15,'=TEXT(D5:D20,"#,##0,,")&" M"');
sheet.setFormula(4, 16,'=TEXT(H5:H20,"#,##0,,")&" M"');
//hide auxiliary columns
sheet.setColumnVisible(3, false);
sheet.setColumnVisible(7, false);
sheet.setColumnVisible(15, false);
sheet.setColumnVisible(16, false);
sheet.resumePaint();
}
const initHorizontalSparkline = (sheet) => {
sheet.suspendPaint();
//cascade sparkline located at column E
for (var i = 1; i <= 14; i++) {
sheet.setFormula(i, 4, '=CASCADESPARKLINE($C$2:$C$17,ROW()-1,$B$2:$B$17,,,"#8CBF64","#D6604D",false)');
}
sheet.resumePaint();
}
const initVerticalSparkline = (sheet) => {
sheet.suspendPaint();
//cascade sparkline located at 4th row
for (var c = 0; c < 5; c++) {
sheet.setColumnWidth(c, 100);
sheet.setFormula(3, c, '=CASCADESPARKLINE($A$3:$E$3,COLUMN(),$A$2:$E$2,,,"#8CBF64","#D6604D",true)');
}
sheet.resumePaint();
}
const initSpread = (currSpread) => {
spread = currSpread;
spread.fromJSON(dataSource);
initCascadeSparklineWithType(spread.sheets[0]);
initHorizontalSparkline(spread.sheets[1]);
initVerticalSparkline(spread.sheets[2]);
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)} newTabVisible = {false}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
)
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)} newTabVisible = {false}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initCascadeSparklineWithType (sheet) {
sheet.suspendPaint();
this.spread.options.allowDynamicArray = true;
sheet.setFormula(4, 4, '=CASCADESPARKLINE(D5:D20, SEQUENCE(COUNTA(D5:D20),1,1,1),P5:P20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 8, '=CASCADESPARKLINE(H5:H20, SEQUENCE(COUNTA(H5:H20),1,1,1),Q5:Q20,,,"#8CBF64","#D6604D",false,A5:A20)');
sheet.setFormula(4, 15,'=TEXT(D5:D20,"#,##0,,")&" M"');
sheet.setFormula(4, 16,'=TEXT(H5:H20,"#,##0,,")&" M"');
//hide auxiliary columns
sheet.setColumnVisible(3, false);
sheet.setColumnVisible(7, false);
sheet.setColumnVisible(15, false);
sheet.setColumnVisible(16, false);
sheet.resumePaint();
}
initHorizontalSparkline(sheet) {
sheet.suspendPaint();
//cascade sparkline located at column E
for (var i = 1; i <= 14; i++) {
sheet.setFormula(i, 4, '=CASCADESPARKLINE($C$2:$C$17,ROW()-1,$B$2:$B$17,,,"#8CBF64","#D6604D",false)');
}
sheet.resumePaint();
}
initVerticalSparkline(sheet) {
sheet.suspendPaint();
//cascade sparkline located at 4th row
for (var c = 0; c < 5; c++) {
sheet.setColumnWidth(c, 100);
sheet.setFormula(3, c, '=CASCADESPARKLINE($A$3:$E$3,COLUMN(),$A$2:$E$2,,,"#8CBF64","#D6604D",true)');
}
sheet.resumePaint();
}
initSpread(spread) {
this.spread = spread;
spread.fromJSON(dataSource);
this.initCascadeSparklineWithType(spread.sheets[0]);
this.initHorizontalSparkline(spread.sheets[1]);
this.initVerticalSparkline(spread.sheets[2]);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/statement-for-cascade.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);